// Copyright (C) 2008 - INRIA
// Copyright (C) 2009-2010 - DIGITEO

// This file is released under the 3-clause BSD license. See COPYING-BSD.

mode(-1);
lines(0);

TOOLBOX_NAME  = "digimetrie_Tools";
TOOLBOX_TITLE = "digimetrie Tools";
toolbox_dir   = get_absolute_file_path("builder.sce");

// Mettre à 1 pour activer le debuggage perso dans les sous répertoires
debug_on = 0

// Check Scilab's version
// =============================================================================

try
    v = getversion("scilab");
catch
    error(gettext("Scilab 5.3 or more is required."));
end

if v(2) < 3 then
    // new API in scilab 5.3
    error(gettext('Scilab 5.3 or more is required.'));
end
clear v;


// Check OS's version
// =============================================================================

if getos() == "Windows" then
	// Loading allowed
else
    error(gettext("digimetrie_Tools can only compile on Windows 32/64."));
end



// Check modules_manager module availability
// =============================================================================

if ~isdef('tbx_build_loader') then
  error(msprintf(gettext('%s module not installed."), 'modules_manager'));
end

// Action
// =============================================================================

function perform()
    tbx_builder_macros(toolbox_dir);
    tbx_builder_src(toolbox_dir);
    tbx_builder_gateway(toolbox_dir);
    tbx_builder_help(toolbox_dir);
    tbx_build_loader(TOOLBOX_NAME, toolbox_dir);
    tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir);
endfunction
perform();
clear perform;

// Clean variables
// =============================================================================
clear toolbox_dir TOOLBOX_NAME TOOLBOX_TITLE debug_on;
