/*
 * Digitool_Pci.h
 * 
 * Copyright (c) 2011, Digimetrie. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301  USA
 */

#ifndef  DIGITOOL_PCI_H
#define  DIGITOOL_PCI_H
//+++++++++++++++++++++++++++++++++++++++++++++++

#include "DigiTool.h"

//--------------------------------------------------------------------------
/**
\file Digitool_Pci.h
API spcifiques aux cartes PCI de Digimtrie.
*/

//////////////////////////////////////////////////////////////////////////////////////////////////////////
//		IO bas-niveau USB gestion reseau
//////////////////////////////////////////////////////////////////////////////////////////////////////////

//---------------------------------------------------------------------------------------
//! Lire un registre de la station
C_DECL_START
//-----------
DEXPORT(short)
ReadRegister(
				  USHORT adresse    //!< Le registre  lire
				, USHORT *data		//!< Le resultat de la lecture
				);

// Dclaration de prototype de la fonction ci-dessus
//! \cond NEVER
PROTO_DECL(short)
(PASCAL *PROTO_ReadRegister)(
						  USHORT adresse
						, USHORT *data
					);   

// Utilise par #Digi_Init_Functions_Pointers() et  auquel cas, dfini dans "DigiTool.c" 
extern PROTO_ReadRegister	pf_ReadRegister;	
//! \endcond
//-----------
C_DECL_END






//---------------------------------------------------------------------------------------
//! Ecriture d'un registre de la station
C_DECL_START
//-----------
DEXPORT(short)
WriteRegister(
				  USHORT adresse    //!< Le registre  crire
				, USHORT data		//!< La valeur  crire
				);  

// Dclaration de prototype de la fonction ci-dessus
//! \cond NEVER
PROTO_DECL(short)
(PASCAL *PROTO_WriteRegister)(
							  USHORT adresse
							, USHORT data
						);

// Utilise par #Digi_Init_Functions_Pointers() et  auquel cas, dfini dans "DigiTool.c" 
extern PROTO_WriteRegister	pf_WriteRegister;	
//! \endcond
//-----------
C_DECL_END









//-------------------------------------------
//! (R)Initialise les pointeurs de fonctions dfinis dans ce Digitool_Pci.h
/** 
	 IMPORTANT : Pour pouvoir utiliser cette fonction, il faut inclure Digitool_Pci.c dans votre Projet.
	 Dans Digitool_Pci.h, un prototype et un pointeurs de fonction sont associs  chaque fonction exporte par la Dll.
	 Le nom des prototypes sont prfixs par "PROTO_" et le nom des pointeurs par "pf_".
	 Cette fonction initialise tout les pointeur de fonction ainsi dfinis  partir du HMODULE de la Dll pralablement charge.
	 Au retour de la fonction, les pointeurs de fonctions qui n'auront pas pu tre assigns vaudront NULL.

	\param h_loaded_Dll : Le HMODULE rendu par LoadLibrary()
	\param dll_path : Le chemin de la Dll donne  LoadLibrary()

	\return : TRUE si au moins un pointeur de fonction a pu tre initialis
*/
//-------------------------------------------------------------------
DTYPE_C(BOOL)
Digi_Init_Functions_Pointers__PCI( HMODULE h_loaded_Dll, P_STR dll_path );




/* REMOVED : mais gard pour cause de doute sur les effets de la suppression
DEXPORT(void)
Reset_conf();

DEXPORT(long)
Init_Conf( void *cf_carte,
		   short flag);
*/


//+++++++++++++++++++++++++++++++++++++++++++++++
#endif //  DIGITOOL_PCI_H

