/*
 * DigiTool_PciTor.h
 * 
 * Copyright (c) 2011, Digimetrie. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301  USA
 */

#ifndef DIGITOOL_PCITOR48_H
#define DIGITOOL_PCITOR48_H
//+++++++++++++++++++++++++++++++++++++++++++++++

#include "Digitool_Pci.h"
//---------------------------------------------------------------------------------------
//! \cond NEVER
//!	SPECIFIC....
C_DECL_START
//-----------
DEXPORT(BYTE)
PCITOR_DI_Channel(
						USHORT di_ch_no,
						USHORT  *data,
						USHORT no_composant,
						USHORT portx
				);

// Dclaration de prototype de la fonction ci-dessus
PROTO_DECL(BYTE)
(PASCAL *PROTO_PCITOR_DI_Channel)(
							USHORT di_ch_no,
							USHORT  *data,
							USHORT no_composant,
							USHORT portx
						);

// Utilise par #Digi_Init_Functions_Pointers() et  auquel cas, dfini dans "DigiTool.c" 
extern PROTO_PCITOR_DI_Channel	pf_PCITOR_DI_Channel;	
//! \endcond
//-----------
C_DECL_END







//---------------------------------------------------------------------------------------
//! \cond NEVER
//!	SPECIFIC....
C_DECL_START
//-----------
DEXPORT(BYTE)
PCITOR_DO_Channel(
					USHORT di_ch_no,
					USHORT data,
					USHORT no_composant,
					USHORT portx
				);

// Dclaration de prototype de la fonction ci-dessus
PROTO_DECL(BYTE)
(PASCAL *PROTO_PCITOR_DO_Channel)(
									USHORT di_ch_no,
									USHORT data,
									USHORT no_composant,
									USHORT portx
						);

// Utilise par #Digi_Init_Functions_Pointers() et  auquel cas, dfini dans "DigiTool.c" 
extern PROTO_PCITOR_DO_Channel	pf_PCITOR_DO_Channel;	
//! \endcond
//-----------
C_DECL_END








//---------------------------------------------------------------------------------------
//! \cond NEVER
//!	SPECIFIC....
C_DECL_START
//-----------
DEXPORT(BYTE)
PCITOR_Initial(
					BYTE *nb_carte
				);

// Dclaration de prototype de la fonction ci-dessus
PROTO_DECL(BYTE)
(PASCAL *PROTO_PCITOR_Initial)(
								BYTE *nb_carte
						);

// Utilise par #Digi_Init_Functions_Pointers() et  auquel cas, dfini dans "DigiTool.c" 
extern PROTO_PCITOR_Initial	pf_PCITOR_Initial;	
//! \endcond
//-----------
C_DECL_END





//---------------------------------------------------------------------------------------
//! \cond NEVER
//!	SPECIFIC....
C_DECL_START
//-----------
DEXPORT(BYTE)
PCITOR_Switch_Card(
					USHORT Card_Number
				);

// Dclaration de prototype de la fonction ci-dessus
PROTO_DECL(BYTE)
(PASCAL *PROTO_PCITOR_Switch_Card)(
								USHORT Card_Number
						);

// Utilise par #Digi_Init_Functions_Pointers() et  auquel cas, dfini dans "DigiTool.c" 
extern PROTO_PCITOR_Switch_Card	pf_PCITOR_Switch_Card;	



//! \endcond
//-----------
C_DECL_END






//---------------------------------------------------------------------------------------
//! \cond NEVER
//!	SPECIFIC....
C_DECL_START
//-----------
DEXPORT(BYTE)
PCITOR_INT_Start(
						BYTE interruptType,
						HANDLE hEvent
					);

// Dclaration de prototype de la fonction ci-dessus
PROTO_DECL(BYTE)
(PASCAL *PROTO_PCITOR_INT_Start)(
								BYTE interruptType,
								HANDLE hEvent
						);

// Utilise par #Digi_Init_Functions_Pointers() et  auquel cas, dfini dans "DigiTool.c" 
extern PROTO_PCITOR_INT_Start	pf_PCITOR_INT_Start;	
//! \endcond
//-----------
C_DECL_END







//---------------------------------------------------------------------------------------
//! \cond NEVER
//!	SPECIFIC....
C_DECL_START
//-----------
DEXPORT(BYTE)
PCITOR_INT_Stop(
					BYTE interruptType
				);

// Dclaration de prototype de la fonction ci-dessus
PROTO_DECL(BYTE)
(PASCAL *PROTO_PCITOR_INT_Stop)(
								BYTE interruptType
						);

// Utilise par #Digi_Init_Functions_Pointers() et  auquel cas, dfini dans "DigiTool.c" 
extern PROTO_PCITOR_INT_Stop	pf_PCITOR_INT_Stop;	
//! \endcond
//-----------
C_DECL_END





//-------------------------------------------
//! (R)Initialise les pointeurs de fonctions dfinis dans DigiTool_PciTor.h
/** 
	 IMPORTANT : Pour pouvoir utiliser cette fonction, il faut inclure DigiTool_PciTor.c dans votre Projet.
	 Dans DigiTool_PciTor.h, un prototype et un pointeurs de fonction sont associs  chaque fonction exporte par la Dll.
	 Le nom des prototypes sont prfixs par "PROTO_" et le nom des pointeurs par "pf_".
	 Cette fonction initialise tout les pointeur de fonction ainsi dfinis  partir du HMODULE de la Dll pralablement charge.
	 Au retour de la fonction, les pointeurs de fonctions qui n'auront pas pu tre assigns vaudront NULL.

	\param h_loaded_Dll : Le HMODULE rendu par LoadLibrary()
	\param dll_path : Le chemin de la Dll donne  LoadLibrary()

	\return : TRUE si au moins un pointeur de fonction a pu tre initialis
*/
//-------------------------------------------------------------------
DTYPE_C(BOOL)
Digi_Init_Functions_Pointers__PCITOR( HMODULE h_loaded_Dll, P_STR dll_path );



//+++++++++++++++++++++++++++++++++++++++++++++++
#endif // DIGITOOL_PCITOR48_H

