// This file is released under the 3-clause BSD license. See COPYING-BSD.

// This macro compiles the files


function perform()
    src_c_path = get_absolute_file_path("builder_c.sce");
    
    //------------------------------------------------------------------	
    CFLAGS = "-I""" + src_c_path + ".""";
    
    if exists("debug_on") == 0 then
        debug_on = 1
        printf( "Auto Debug_on pour Src/C/ \n")
    end
    if debug_on > 0 then
        printf( "Compilation en Debug_on pour Src/C/ \n")
        CFLAGS = CFLAGS + " -DMY_DEBUG"
    end
    
    LDFLAGS = "";
    
    if (getos()<>"Windows") then
        if ~isdir(SCI+"/../../share") then
            // Source version
            CFLAGS = CFLAGS + " -I""" + SCI + "/modules/scicos_blocks/includes""" ;
            CFLAGS = CFLAGS + " -I""" + SCI + "/modules/scicos/includes""" ;
        else
            // Release version
            CFLAGS = CFLAGS + " -I""" + SCI + "/../../include/scilab/scicos_blocks""";
            CFLAGS = CFLAGS + " -I""" + SCI + "/../../include/scilab/scicos""";
        end
    else
        CFLAGS = CFLAGS + " -I""" + SCI + "/modules/scicos_blocks/includes""";
        CFLAGS = CFLAGS + " -I""" + SCI + "/modules/scicos/includes""";

        // Getting symbols
        if findmsvccompiler() <> "unknown" & haveacompiler() then
            LDFLAGS = LDFLAGS + " """ + SCI + "/bin/scicos.lib""";
            LDFLAGS = LDFLAGS + " """ + SCI + "/bin/scicos_f.lib""";
        end
    end
	
    tbx_build_src(..
				  [ "digi_AInf",		  "digi_AOutf",		   "digi_DIn","digi_BIn",	"digi_DOut","digi_BOut",..
					"digi_scicos_AInf", "digi_scicos_AOutf", "digi_scicos_BIn", 		"digi_scicos_BOut",..
					"digi_get_Error_String", "digi_TestParam", "digi_Reinit"..
				  ],..
				  [  "Digimetrie_Sci.c"..
                    ,"Digimetrie_Scicos.c"..
                    , "DigiTool_Usb.c"..
                    , "DigiTool.c"
                  ],..
                  "c",                                  ..
                  src_c_path,                           ..
                  "",                                   ..
                  LDFLAGS,                              ..
                  CFLAGS,                               ..
                  "",                                   ..
                  "",..
                  "digimetrie".. 					// Le nom de la dll
				  );

    
endfunction

if getos() == "Windows" then
	perform();
else
    error(gettext("Can only compile on Windows 32/64."));
end

clear perform;
